Bitcoin Forum
December 11, 2016, 06:35:42 AM *
News: To be able to use the next phase of the beta forum software, please ensure that your email address is correct/functional.
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Help me mine optimally with these cards!  (Read 1576 times)
ragingazn628
Hero Member
*****
Offline Offline

Activity: 714


Coin Generator


View Profile WWW
January 27, 2012, 05:26:28 AM
 #1

Hey guys,

I've been using CGMiner and it's been great so far. I need help with the drivers / tweaks and what not so I can get the best out of my hardware for the best hashrate possible.

I have the following hardware:

Phenom II X4 830
Asus Crosshair IV Extreme (5 PCI-E slots)
Cooler Master 1300W Hybrid Silent
OCZ LE 100GB
7970
5970
5870
6950
6950

I have the following settings for the bat file:

Quote
cd C:\Users\Bitcoin\Desktop\cgminer-2.1.2-win32

start /affinity 1 cgminer -o pit.deepbit.net:8332 -u xxx -p xxx -v 2 -w 256 -g 4 -k phatk --gpu-memclock 300 --auto-fan --temp-target 69 -I 9

Now as for the drivers I believe I have the following:

Catalyst 11.12
OpenGL 6.14.10.11318 -

And I don't even know what SDK I have or what I need to use. The amdocl64.dll version is 10.0.831.4 -- I can't tell what SDK version that is.

I would appreciate any help if possible! Thanks!
1481438142
Hero Member
*
Offline Offline

Posts: 1481438142

View Profile Personal Message (Offline)

Ignore
1481438142
Reply with quote  #2

1481438142
Report to moderator
1481438142
Hero Member
*
Offline Offline

Posts: 1481438142

View Profile Personal Message (Offline)

Ignore
1481438142
Reply with quote  #2

1481438142
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1481438142
Hero Member
*
Offline Offline

Posts: 1481438142

View Profile Personal Message (Offline)

Ignore
1481438142
Reply with quote  #2

1481438142
Report to moderator
1481438142
Hero Member
*
Offline Offline

Posts: 1481438142

View Profile Personal Message (Offline)

Ignore
1481438142
Reply with quote  #2

1481438142
Report to moderator
ssateneth
Legendary
*
Offline Offline

Activity: 1288



View Profile
January 27, 2012, 06:05:14 AM
 #2

831.4 is SDK 2.6. It's required for 7970. It is also complete garbage for 5xxx and 6xxx as far as maintaining good mhash/j because fastest 2.6 speeds run best at about 1ghz memory, which consumes a lot of power; You could remedy this by installing 2.1 + 2.6 together, but that also leaves your 6950's high and dry. I'm not sure if its possible to install 2.1 + 2.5 + 2.6 because 2.5 + 2.6 would share the same install location.

Also, currently only DiabloMiner is the only miner that best supports GCN architecture (7970). 11.12/12.1 driver is really your only choice, since any prior versions won't support 7970.

jake262144
Full Member
***
Offline Offline

Activity: 210


View Profile
January 27, 2012, 08:57:15 AM
 #3

There is a problem with how Windows looks up libraries, though: if one is already present in memory it will be used system-wide by default, without doing any look-ups.

Unfortunately, I have no windows-powered rigs and don't need the downtime required for swapping them hard drives out and dabbling with Windows.
Still, I would gladly help if a bounty was offered. Just a handful of Bitcoins if I'm successful, to reimburse me for the downtime-caused revenue loss and the necessity of subjecting my rig to Redmond-based software Wink
Interested?
ragingazn628
Hero Member
*****
Offline Offline

Activity: 714


Coin Generator


View Profile WWW
January 27, 2012, 10:34:08 PM
 #4

How do I know if SDK 2.1 is installed or not? I Installed ati-stream-sdk-v2.1-vista-win7-64.exe from ATI's website.
ssateneth
Legendary
*
Offline Offline

Activity: 1288



View Profile
January 28, 2012, 02:34:45 AM
 #5

How do I know if SDK 2.1 is installed or not? I Installed ati-stream-sdk-v2.1-vista-win7-64.exe from ATI's website.

reboot your system first. sometimes 2.1 detection is wonky
then run something called gpu caps viewer, google it if you dont 100% know you have it
go to opencl tab. the very top dropbox should have 2 options if you have 2 sdks installed. 2.1 is called ATI stream. 2.6 will have a version number of something like 831.4. 2.5 will have like 793 or something, starts with a 7.

ragingazn628
Hero Member
*****
Offline Offline

Activity: 714


Coin Generator


View Profile WWW
January 28, 2012, 04:45:47 AM
 #6

How do I know if SDK 2.1 is installed or not? I Installed ati-stream-sdk-v2.1-vista-win7-64.exe from ATI's website.

reboot your system first. sometimes 2.1 detection is wonky
then run something called gpu caps viewer, google it if you dont 100% know you have it
go to opencl tab. the very top dropbox should have 2 options if you have 2 sdks installed. 2.1 is called ATI stream. 2.6 will have a version number of something like 831.4. 2.5 will have like 793 or something, starts with a 7.

Thanks and CGMiner will auto detect and use SDK 2.1?
ssateneth
Legendary
*
Offline Offline

Activity: 1288



View Profile
January 28, 2012, 10:37:58 AM
 #7

How do I know if SDK 2.1 is installed or not? I Installed ati-stream-sdk-v2.1-vista-win7-64.exe from ATI's website.

reboot your system first. sometimes 2.1 detection is wonky
then run something called gpu caps viewer, google it if you dont 100% know you have it
go to opencl tab. the very top dropbox should have 2 options if you have 2 sdks installed. 2.1 is called ATI stream. 2.6 will have a version number of something like 831.4. 2.5 will have like 793 or something, starts with a 7.

Thanks and CGMiner will auto detect and use SDK 2.1?

No idea, never used it. If its anything like diablominer though, it'll iterate through all opencl platforms and devices, so if you have 4 cards and 2 sdk's, it'll run 8 miners: half on 2.1 sdk and the other half on whatever other sdk you have installed; you'll likely need to specify what platform/devices to use.

Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!